
<template>
  <view-grid
    ref="grid"
    :columns="columns"
    :detail="detail"
    :editFormFields="editFormFields"
    :editFormOptions="editFormOptions"
    :searchFormFields="searchFormFields"
    :searchFormOptions="searchFormOptions"
    :table="table"
    :extend="extend"
  >
  </view-grid>
</template>
  <script>
import extend from "@/extension/ProcessParameters/PlatForm.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
  setup() {
    const table = ref({
      key: "id",
      footer: "Foots",
      cnName: "OCV叫料",
      name: "Platform",
      url: "/Platform/",
      sortName: "id",
    });
    const editFormFields = ref({
      id:"",
      platCode:"",
      platformName: "",
      stacker: "",
      executionMethod:"",
      platformType:"",
      deviceCode:"",
      location: "",
      capacity: "",
      status: "",
      productionLine: ""

    });
    const editFormOptions = ref([
      [
        { title: "可缓存数量", field: "capacity", type: "text" },
        {
          title: "启用状态",
          required: true,
          field: "status",
          type: "select",
          dataKey: "PlatFormState",
          data: [],
        },
      ]
    ]);
    const searchFormFields = ref({
      platCode:"",
      platformName: "",
      stacker: "",
      executionMethod:"",
      platformType:"",
      deviceCode:"",
      location: "",
      capacity: "",
      status: "",
      productionLine: "",
    });
    const searchFormOptions = ref([
      
    ]);
    const columns = ref([
      {
        field: "Id",
        title: "Id",
        type: "int",
        width: 90,
        hidden: true,
        readonly: true,
        require: true,
        align: "left",
      },
      {
        field: "platCode",
        title: "站台编号",
        type: "string",
        width: 90,
        align: "left",
      },
      {
        field: "platformName",
        title: "站台名称",
        type: "string",
        width: 160,
        align: "left",
      },
      {
        field: "capacity",
        title: "可缓存数量",
        type: "string",
        width: 90,
        align: "left",
        // hidden:true,
      },
      {
        field: "status",
        title: "状态",
        type: "string",
        width: 90,
        align: "left",
        bind: { key: "PlatFormState", data: [] },
      },
      {
        field: "productionLine",
        title: "产线",
        type: "int",
        width: 150,
        align: "left",
        bind: { key: "ProductionLine", data: [] },
      },
      {
        field: "createDate",
        title: "创建时间",
        type: "datetime",
        width: 150,
        align: "left",
      },
      
      {
        field: "modifyDate",
        title: "修改时间",
        type: "datetime",
        width: 160,
        align: "left",
      },
      {
        field: "creater",
        title: "创建人",
        type: "string",
        width: 90,
        align: "left",
      },
      {
        field: "modifier",
        title: "修改人",
        type: "string",
        width: 90,
        align: "left",
      },
    ]);
    const detail = ref({
      cnName: "",
      table: "",
      columns: [],
      sortName: "",
      key: "",
    });
    return {
      table,
      extend,
      editFormFields,
      editFormOptions,
      searchFormFields,
      searchFormOptions,
      columns,
      detail,
    };
  },
});
</script>
  